Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class MessageTypeChoice

    java.lang.Object
      nz.co.cks.tms.xml.MessageTypeChoice

All Implemented Interfaces:
  java.io.Serializable

public class MessageTypeChoice
extends java.lang.Object
implements java.io.Serializable

Class MessageTypeChoice.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private MessageAdminBlk` | `_messageAdminBlk` Field _messageAdminBlk
`private MessageEnquiryBlk` | `_messageEnquiryBlk` Field _messageEnquiryBlk
`private MessageReportBlk` | `_messageReportBlk` Field _messageReportBlk
`private MessageResponseBlk` | `_messageResponseBlk` Field _messageResponseBlk
`private MessageTransactionBlk` | `_messageTransactionBlk` Field _messageTransactionBlk

Constructor Summary
`MessageTypeChoice()`

Method Summary
`MessageAdminBlk` | `getMessageAdminBlk()` Method getMessageAdminBlkReturns the value of field 'messageAdminBlk'.
`MessageEnquiryBlk` | `getMessageEnquiryBlk()` Method getMessageEnquiryBlkReturns the value of field 'messageEnquiryBlk'.
`MessageReportBlk` | `getMessageReportBlk()` Method getMessageReportBlkReturns the value of field 'messageReportBlk'.
`MessageResponseBlk` | `getMessageResponseBlk()` Method getMessageResponseBlkReturns the value of field 'messageResponseBlk'.
`MessageTransactionBlk` | `getMessageTransactionBlk()` Method getMessageTransactionBlkReturns the value of field 'messageTransactionBlk'.
`boolean` | `isValid()` Method isValid
`void` | `marshal(org.xml.sax.ContentHandler handler)` Method marshal
`void` | `marshal(java.io.Writer out)` Method marshal
`void` | `setMessageAdminBlk(MessageAdminBlk messageAdminBlk)` Method setMessageAdminBlkSets the value of field 'messageAdminBlk'.
`void` | `setMessageEnquiryBlk(MessageEnquiryBlk messageEnquiryBlk)` Method setMessageEnquiryBlkSets the value of field 'messageEnquiryBlk'.
`void` | `setMessageReportBlk(MessageReportBlk messageReportBlk)` Method setMessageReportBlkSets the value of field 'messageReportBlk'.
`void` | `setMessageResponseBlk(MessageResponseBlk messageResponseBlk)` Method setMessageResponseBlkSets the value of field 'messageResponseBlk'.
`void` | `setMessageTransactionBlk(MessageTransactionBlk messageTransactionBlk)` Method setMessageTransactionBlkSets the value of field 'messageTransactionBlk'.
`static MessageTypeChoice` | `unmarshal(java.io.Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _messageAdminBlk

    private MessageAdminBlk _messageAdminBlk

  Field _messageAdminBlk

### _messageEnquiryBlk

    private MessageEnquiryBlk _messageEnquiryBlk

  Field _messageEnquiryBlk

### _messageReportBlk

    private MessageReportBlk _messageReportBlk

  Field _messageReportBlk

### _messageResponseBlk

    private MessageResponseBlk _messageResponseBlk

  Field _messageResponseBlk

### _messageTransactionBlk

    private MessageTransactionBlk _messageTransactionBlk

  Field _messageTransactionBlk

Constructor Detail

### MessageTypeChoice

    public MessageTypeChoice()

Method Detail

### getMessageAdminBlk

    public MessageAdminBlk getMessageAdminBlk()

  Method getMessageAdminBlkReturns the value of field 'messageAdminBlk'.

  Returns:
    the value of field 'messageAdminBlk'.

### getMessageEnquiryBlk

    public MessageEnquiryBlk getMessageEnquiryBlk()

  Method getMessageEnquiryBlkReturns the value of field 'messageEnquiryBlk'.

  Returns:
    the value of field 'messageEnquiryBlk'.

### getMessageReportBlk

    public MessageReportBlk getMessageReportBlk()

  Method getMessageReportBlkReturns the value of field 'messageReportBlk'.

  Returns:
    the value of field 'messageReportBlk'.

### getMessageResponseBlk

    public MessageResponseBlk getMessageResponseBlk()

  Method getMessageResponseBlkReturns the value of field 'messageResponseBlk'.

  Returns:
    the value of field 'messageResponseBlk'.

### getMessageTransactionBlk

    public MessageTransactionBlk getMessageTransactionBlk()

  Method getMessageTransactionBlkReturns the value of field 'messageTransactionBlk'.

  Returns:
    the value of field 'messageTransactionBlk'.

### isValid

    public boolean isValid()

  Method isValid

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### setMessageAdminBlk

    public void setMessageAdminBlk(MessageAdminBlk messageAdminBlk)

  Method setMessageAdminBlkSets the value of field 'messageAdminBlk'.

  Parameters:
    `messageAdminBlk` - the value of field 'messageAdminBlk'.

### setMessageEnquiryBlk

    public void setMessageEnquiryBlk(MessageEnquiryBlk messageEnquiryBlk)

  Method setMessageEnquiryBlkSets the value of field 'messageEnquiryBlk'.

  Parameters:
    `messageEnquiryBlk` - the value of field 'messageEnquiryBlk'.

### setMessageReportBlk

    public void setMessageReportBlk(MessageReportBlk messageReportBlk)

  Method setMessageReportBlkSets the value of field 'messageReportBlk'.

  Parameters:
    `messageReportBlk` - the value of field 'messageReportBlk'

### setMessageResponseBlk

    public void setMessageResponseBlk(MessageResponseBlk messageResponseBlk)

  Method setMessageResponseBlkSets the value of field 'messageResponseBlk'.

  Parameters:
    `messageResponseBlk` - the value of field 'messageResponseBlk'.

### setMessageTransactionBlk

    public void setMessageTransactionBlk(MessageTransactionBlk messageTransactionBlk)

  Method setMessageTransactionBlkSets the value of field 'messageTransactionBlk'.

  Parameters:
    `messageTransactionBlk` - the value of field 'messageTransactionBlk'.

### unmarshal

    public static MessageTypeChoice unmarshal(java.io.Reader reader)
                                       throws org.exolab.castor.xml.MarshalException,
                                              org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD